#include "MOmegasWrap_c.h"

#include <micromegas.h>
#include <micromegas_aux.h>

void scanners_calc_nucleon_amplitudes_v1(double * pA0,double * pAspin,double * nA0,double * nAspin){
  // TO DO: see if I should use this error code.
#ifdef MOMEGAS_4_3_2
  char cdmName[10];
  scanners_sortOddParticles(cdmName);	
  double err1=nucleonAmplitudes(cdmName,pA0,pAspin,nA0,nAspin);
#endif
#ifdef MOMEGAS_3_5_5
  double err1=nucleonAmplitudes(NULL,pA0,pAspin,nA0,nAspin);
#endif
}

void scanners_calc_nucleon_amplitudes_v2(double spin_amplitudes[4][2]){
  // TO DO: see if I should use this error code.
#ifdef MOMEGAS_4_3_2
  char cdmName[10];
  scanners_sortOddParticles(cdmName);	
  double err1=nucleonAmplitudes(cdmName,spin_amplitudes[0],spin_amplitudes[1],spin_amplitudes[2],spin_amplitudes[3]);
#endif
#ifdef MOMEGAS_3_5_5
  double err1=nucleonAmplitudes(NULL,spin_amplitudes[0],spin_amplitudes[1],spin_amplitudes[2],spin_amplitudes[3]);
#endif
}

void scanners_assignVal(char const * varname,double val){ 
  assignVal(varname,val);
}

int scanners_sortOddParticles(char * cdmName){
  return sortOddParticles(cdmName);
}

double scanners_darkOmega(double * Xf, int Fast, double Beps){
  return darkOmega(Xf,Fast,Beps);
}

void scanners_ForceUG(int F){
  ForceUG=F;
}
