#ifdef MICROMEGASMODE

#ifndef MOMEGASWRAP_C_H
#define MOMEGASWRAP_C_H

#ifdef __cplusplus
extern "C"{
#endif

  void scanners_calc_nucleon_amplitudes_v1(double * pA0,double * pAspin,double * nA0,double * nAspin);
  
  void scanners_calc_nucleon_amplitudes_v2(double spin_amplitudes[4][2]);
  
  void scanners_assignVal(char const * varname,double val);
  
  int scanners_sortOddParticles(char * cdmName);

  double scanners_darkOmega(double * Xf, int Fast, double Beps);

  void scanners_ForceUG(int F);

#ifdef __cplusplus
}
#endif

#endif

#endif
