#include "ScannerSVerbose.h"

using namespace std;

void PrintM21(deriv2V & d2V, unsigned int NIC, std::vector<unsigned int>  & orderdV){

  for(size_t i=0; i!=d2V.size(); ++i){
    for(size_t j=i; j!= d2V.size(); ++j){
      std::clog << endl <<"Condition i = " << i << " j= " << j<< endl;
      for(int a2=NIC; a2!=d2V[0][0].size(); ++a2){
	std::clog << d2V[i][j][orderdV[a2]] << "\t";
      }
    }
  }
  std::clog << endl;

}

void PrintM22(deriv2V & d2V, unsigned int NIC, std::vector<unsigned int>  & orderdV){

  for(size_t a2=NIC; a2!=d2V[0][0].size(); ++a2){
    std::clog << endl<< endl<<"a2 = " << orderdV[a2];
    for(size_t i=0; i!=d2V.size(); ++i){
      std::clog << endl;
      for(size_t j=0; j!=d2V.size(); ++j){
	std::clog << d2V[i][j][orderdV[a2]] << "\t";	 
      }
    }     
  }
  std::clog << endl;

}

void PrintM1(std::vector< std::vector<double> > M){
  for(size_t j=0; j!=M.size(); ++j){
    std::clog << endl << "j = "<< j << endl;
    for(size_t a=0; a!=M[0].size(); ++a){
      std::clog << scientific << M[j][a] << "\t";
    }
  }
  std::clog << endl;

}
